Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share.sql
Class DataValueConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  oracle.ifs.share.sql.DataValueConversionException

All Implemented Interfaces:
  java.io.Serializable

    public class DataValueConversionException

extends java.lang.RuntimeException

A DataValueConversionException is a RuntimeException reflecting an unsuccessful attempt to convert a DataValue to a different data type.

See Also:
  Serialized Form
(Published)

Constructor Summary
`DataValueConversionException(java.lang.String srcType, java.lang.String targetType)` Constructs a DataValueConversionException.
`DataValueConversionException(java.lang.String srcType, java.lang.String targetType, java.lang.Throwable cause)` Constructs a boolean DataValue.

Method Summary
`java.lang.String` | `getSourceTypeLabel()` Gets the label describing the source datatype.
`java.lang.String` | `getTargetTypeLabel()` Gets the label describing the target datatype.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataValueConversionException

    public DataValueConversionException(java.lang.String srcType,
                                        java.lang.String targetType)

  Constructs a DataValueConversionException.

  Parameters:
    `srcType` - the source data type label
    `targetType` - the source data type label
  (Published)

### DataValueConversionException

    public DataValueConversionException(java.lang.String srcType,
                                        java.lang.String targetType,
                                        java.lang.Throwable cause)

  Constructs a boolean DataValue.

  This variant implies a non-null value.

  Parameters:
    `srcType` - the source data type label
    `targetType` - the source data type label
    `cause` - the causitive exception if any
  (Published)

Method Detail

### getSourceTypeLabel

    public java.lang.String getSourceTypeLabel()

  Description copied from class: `DataValueConversionException`
  Gets the label describing the source datatype.

  Returns:
    the source data type label
  (Published)

### getTargetTypeLabel

    public java.lang.String getTargetTypeLabel()

  Description copied from class: `DataValueConversionException`
  Gets the label describing the target datatype.

  Returns:
    the target data type label
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD